# studio::KeyMapSettings Class Reference

`#include <keymapsettings.h>`

List of all members.

## Public Member Functions

| KeyMapSettings ()
| ~KeyMapSettings ()
bool | set_key (const char *path, guint key, Gdk::ModifierType mod, bool replace=true)
bool | get_key (const char *path, Gtk::AccelKey *key)
bool | load (const char *filename)
bool | save (const char *filename)

## Classes

struct | AcKeyInfo

## Constructor & Destructor Documentation

KeyMapSettings::KeyMapSettings | ( |  | ) |

KeyMapSettings::~KeyMapSettings | ( |  | ) |

## Member Function Documentation

bool KeyMapSettings::set_key | ( | const char * | path,
|  | guint | key,
|  | Gdk::ModifierType | mod,
|  | bool | replace = `true` |
| ) |  |  |

bool KeyMapSettings::get_key | ( | const char * | path,
|  | Gtk::AccelKey * | key |
| ) |  |  |

bool KeyMapSettings::load | ( | const char * | filename | ) |

bool KeyMapSettings::save | ( | const char * | filename | ) |

The documentation for this class was generated from the following files:

- keymapsettings.h
- keymapsettings.cpp